# No binaries are built
%global debug_package %{nil}

Name:           pi-bluetooth
Version:        0.1.19.git.46.6f16f403
Release:        2%{?dist}
Summary:        Load BCM43430A1 firmware on boot 

License:        BSD-3
URL:            https://github.com/RPi-Distro/pi-bluetooth
VCS:            git+https://github.com/Leuca/pi-bluetooth#6f16f40338a5482b646032d81d2de8784d234954:

ExclusiveArch:  aarch64 %{arm}

BuildRequires:  systemd-rpm-macros

Requires:       bluez
Requires:       bluez-deprecated
Requires:       bluez-firmware
Requires:       rpi-udev-rules

Source:         pi-bluetooth-6f16f403.tar.gz

Patch0:         pi-bluetooth-use-btattach.patch

%description
Load BCM43430A1 firmware on boot through systemd

%prep
%setup -T -b 0 -q -n pi-bluetooth
%autopatch -p1

%build
# Nothing to build

%install
# Install scripts
mkdir -p %{buildroot}%{_bindir}
install -m 0755 usr/bin/bthelper %{buildroot}%{_bindir}
install -m 0755 usr/bin/btuart %{buildroot}%{_bindir}

# Install systemd units
mkdir -p %{buildroot}%{_unitdir}
install -m 0644 debian/pi-bluetooth.bthelper@.service %{buildroot}%{_unitdir}
install -m 0644 debian/pi-bluetooth.hciuart.service %{buildroot}%{_unitdir}

# Install udev rules
mkdir -p %{buildroot}%{_prefix}/lib/udev/rules.d
install -m 0644 lib/udev/rules.d/90-pi-bluetooth.rules %{buildroot}%{_prefix}/lib/udev/rules.d

%post
%systemd_post pi-bluetooth.bthelper@.service
%systemd_post pi-bluetooth.hciuart.service

%preun
%systemd_preun pi-bluetooth.bthelper@.service
%systemd_preun pi-bluetooth.hciuart.service

%postun
%systemd_postun_with_restart pi-bluetooth.bthelper@.service
%systemd_postun_with_restart pi-bluetooth.hciuart.service

%files
%license debian/copyright
%doc debian/control debian/changelog
%{_bindir}/bthelper
%{_bindir}/btuart
%{_unitdir}/pi-bluetooth.bthelper@.service
%{_unitdir}/pi-bluetooth.hciuart.service
%{_prefix}/lib/udev/rules.d/90-pi-bluetooth.rules

%changelog
* Fri Nov 04 2022 Luca Magrone <luca@magrone.cc> - 0.1.19-2
- Patch btuart

* Fri Nov 04 2022 Luca Magrone <luca@magrone.cc> - 0.1.19-1
- Initial package
